%global _empty_manifest_terminate_build 0
Name:           python-krest
Version:        1.3.6
Release:        1
Summary:        The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API
License:        Apache-2.0
URL:            https://github.com/Kaminario/krest
Source0:        https://files.pythonhosted.org/packages/33/b5/2ab3f608ab5d166ac469fc643917a7f8423b7819e7d4e4e522e3731d52fd/krest-1.3.6.tar.gz
BuildArch:      noarch
%description
The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API

%package -n python3-krest
Summary:        The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API
Provides:       python-krest
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-requests
# General requires
Requires:       python3-requests
%description -n python3-krest
The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API

%package help
Summary:        The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API
Provides:       python3-krest-doc
%description help
The Kaminario REST (krest) is a client library that provides ORM like interface for working with Kaminario K2 REST API

%prep
%autosetup -n krest-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-krest -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Aug 9 2023 sunhui <sunhui@kylinos.cn> - 1.3.6-1
- Update package to version 1.3.6

* Wed Dec 07 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.3.3-1
- Update package to version 1.3.3

* Tue Aug 03 2021 OpenStack_SIG <openstack@openeuler.org> - 1.3.2-1
- Package Spec generate